#!/bin/sh
echo 'name: tls
version: 1.1.2
id: tls-1.1.2-4b338551a74f106eca27a01771828b68

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
synopsis: TLS/SSL protocol native implementation (Server and Client)
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             with only RSA supported for Key Exchange.
             .
             Only core protocol available here, have a look at the
             <http://hackage.haskell.org/package/tls-extra/> package for default
             ciphers, compressions and certificates functions.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Crypto Network.TLS.Extension
                Network.TLS.Handshake Network.TLS.Handshake.Common
                Network.TLS.Handshake.Certificate Network.TLS.Handshake.Client
                Network.TLS.Handshake.Server Network.TLS.Handshake.Signature
                Network.TLS.IO Network.TLS.MAC Network.TLS.Measurement
                Network.TLS.Packet Network.TLS.Record Network.TLS.Record.Types
                Network.TLS.Record.Engage Network.TLS.Record.Disengage
                Network.TLS.State Network.TLS.Session Network.TLS.Sending
                Network.TLS.Receiving Network.TLS.Util Network.TLS.Types
                Network.TLS.Wire
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/tls-1.1.2
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/tls-1.1.2
              /usr/local/lib
hs-libraries: HStls-1.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         bytestring-0.10.0.2-59abd9894532f476aabac207680aae43
         cereal-0.3.5.2-a9ff0516a3b8fef3d6dca329fe564618
         certificate-1.3.7-0b959684ed451353b9d183ab8eb55334
         crypto-pubkey-0.1.3-1be0199ec496eae4ccdbddf4b1ceb778
         crypto-random-api-0.2.0-2ff32e4b466d3bb9e42fa96b65bf7a09
         cryptohash-0.9.0-99a9cb2ad81958bd9269cbc7d3bede89
         mtl-2.1.2-94c72af955e94b8d7b2f359dadd0cb62
         network-2.4.1.2-5be4ce21effbb1a11c3b90006afd63d9
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/tls-1.1.2/html/tls.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/tls-1.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
